LiquidFiles Documentation
LiquidFiles Documentation

List/View Shares Admin API

List Request

This Request lists all available shares in the system

Request Info
Info Value
Request URL /admin/shares
Request VERB GET
Response Parameters
Parameter Type Description
id String The ID of the specific share.
name String The name of the Share.
revisions Integer How many old versions of files should be kept when a file is overwritten or updated.
quota Integer How many MegaBytes that has been allocated for this share.
empty_trash Integer How many days until trashed items are permanently deleted. Null if disabled.
public Boolean True if the share is publicly accessible.
public_discoverable Boolean True if the share is discoverable in the public shares listing.
created_at DateTime When the share was created.
updated_at DateTime When the share was last updated.
accesses Array

An Array of Users and Groups with access to this Share, with the following attributes:

  • type: Either "user" or "group" (lowercase).
  • user_id or group_id: The User or Group ID, depending on the type.
  • access: Either "write" or "read".
  • view_log: If the user or group can view the share log.

Example Request Using Curl

curl -X GET -H "Accept: application/json" \
     -H "Authorization: Bearer nkpIxMK9ucUUE7FvfNpdAf" \
     https://liquidfiles.company.com/admin/shares

Example Response

{"shares":
  [
    {
      "id":"alpha",
      "name":"Project Alpha",
      "revisions":3,
      "quota":1000,
      "created_at":"2016-02-01T09:11:23.000Z",
      "updated_at":"2016-09-29T10:54:02.000Z",
      "accesses":[
        {
          "type":"user",
          "user_id":"user-mycompany-com",
          "access":"read",
          "view_log":true
        },
        {
          "type":"group",
          "group_id":"sysadmins",
          "access":"write",
          "view_log":true
        }
      ]
    }
  ]
}

View Request

This Request views an individual share.

Request Info
Info Value
Request URL /admin/shares/_the_share_id_
Request VERB GET

The Response Parameters are the same as for the List action above.

Example Request Using Curl
curl -X GET -H "Accept: application/json" \
     -H "Authorization: Bearer nkpIxMK9ucUUE7FvfNpdAf" \
     https://liquidfiles.company.com/admin/shares/alpha

Example Response

{"share":
  {
    "id":"alpha",
    "name":"Project Alpha",
    "revisions":3,
    "quota":1000,
    "created_at":"2016-02-01T09:11:23.000Z",
    "updated_at":"2016-09-29T10:54:02.000Z",
    "accesses":[
      {
        "type":"user",
        "user_id":"user-mycompany-com",
        "access":"read",
        "view_log":true
      }
    ]
  }
}